Overview | Modules | Class Hierarchy | Classes | Members

# tlp::MousePanNZoomNavigator Class Reference
[Mouse_interactor]

`#include <MouseInteractors.h>`

Inherits tlp::InteractorComponent.

Inherited by tlp::MouseNKeysNavigator.

Inheritance diagram for tlp::MousePanNZoomNavigator:

[legend]
Collaboration diagram for tlp::MousePanNZoomNavigator:

[legend]
List of all members.

## Detailed Description

An interactor class allowing to zoom and pan using the mouse wheel.

## Public Member Functions

- MousePanNZoomNavigator ()
- ~MousePanNZoomNavigator ()
- bool eventFilter (QObject *, QEvent *)
- InteractorComponent * clone ()

## Constructor & Destructor Documentation

tlp::MousePanNZoomNavigator::MousePanNZoomNavigator | ( |  | ) | `[inline]`

tlp::MousePanNZoomNavigator::~MousePanNZoomNavigator | ( |  | ) | `[inline]`

## Member Function Documentation

InteractorComponent* tlp::MousePanNZoomNavigator::clone | ( |  | ) | `[inline, virtual]`

| Clone this interactor component Implements tlp::InteractorComponent. Reimplemented in tlp::MouseNKeysNavigator.

bool tlp::MousePanNZoomNavigator::eventFilter | ( | QObject * | ,
|  | QEvent * |
| ) |

| Reimplemented in tlp::MouseNKeysNavigator.

Tulip Software by LaBRI Visualization Team 2001 - 2010